package com.zfire.jiasm.syncdata.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zfire.jiasm.syncdata.plus.entity.*;

import java.util.List;

/**
 * 工单基础功能 服务类
 * @author yaozx
 * @since 2023-03-09
 */
public interface OrderService extends IService<OrderBase> {

    void setPar(ItfTblAzAssignLcLsDownload item, OrderBase orderBase, List<ItfGreeToFaDownloadTaskList> its);
    void setParApi(ItfTblAzAssignLcLsDownload item, OrderBase orderBase, List<ItfGreeToFaDownloadTaskList> its);
    void setParUp(ItfTblAzAssignLcLsDownload item, OrderBase orderBase, List<ItfGreeToFaDownloadTaskList> its);
    void setParUpApi(ItfTblAzAssignLcLsDownload item, OrderBase orderBase, List<ItfGreeToFaDownloadTaskList> its);

    void setParame(Brand brand, OrderBase orderBase, ItfTblAssignDownload item);
    void setParameUpdate(Brand brand, OrderBase orderBase, ItfTblAssignDownload item);

    // 商户工单地理位置转成平台工单地理位置 无对应关系时商户的为准
    void shPositionTopbak(OrderBase orderBase);
    // 平台工单地理位置转成商户工单地理位置 无依平台为准
    void tpPositionTosh(ItfTblAzAssignLcLsUpload lcls);

}
